Get an Intent Trainer Record - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get an Intent Trainer Record
Endpoint
GET /v2.0/trainer/{recordId}
Example Request
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/trainer/{recordId} \
--header 'X-API-Key: <api-key>'
Example Requests in Various Languages
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/trainer/{recordId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/trainer/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/trainer/{recordId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: <api-key>"],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/trainer/{recordId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Sample Responses
Successful Response (200)
{
"text": "I want a Pizza",
"count": 2,
"flowReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handled": true,
"nlu": {},
"meta": {},
"snapshotReference": "<string>",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Bad Request Response (400)
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- API Key: Provide the API Key in the HTTP Header.
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/xml, etc.
Path Parameters
- recordId: The unique identifier for the Intent Trainer Record, required string length:
24. Must match pattern:^[a-z0-9]{24}$.
Note
Last modified on July 8, 2026.